### Method

# Gsk RoundedRect init_from_rect

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_init_from_rect (
      GskRoundedRect* self,
      const graphene_rect_t* bounds,
      float radius
    )

#### Description [src]

Initializes `self` to the given `bounds` and sets the radius of all four corners to `radius`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| A `graphene_rect_t`.
| The data is owned by the caller of the function.
`radius` | `float`
| The border radius.

#### Return value

Returns: | `GskRoundedRect`
| The initialized rectangle.
| The data is owned by the instance.